AnsweredAssumed Answered

EMR using Java SDK doesn't bootstrap MapR

Question asked by dave_kincaid on Mar 30, 2013
Latest reply on Mar 30, 2013 by dave_kincaid
My trials and tribulations trying to get MapR working on Amazon EMR continue. The latest problem is that when launching a cluster using the AWS Java SDK API doesn't seem to want to install MapR. I'm specifying                 .withSupportedProducts("mapr-m3") when creating the RunJobFlowRequest object, but it never creates the bootstrap step to install MapR like it does when I use the Ruby CLI.

Do I have to explicitly specify the bootstrap action to install MapR myself? Why doesn't the "withSupportedProducts()" work?

Thanks.

Outcomes